Bug 1257021 - (6.4.z) JarIndexer mishandles paths with the extension in multiple elements
(6.4.z) JarIndexer mishandles paths with the extension in multiple elements
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Other (Show other bugs)
6.4.2
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.10
Assigned To: baranowb
Peter Mackay
eap-docs
:
Depends On:
Blocks: 1244860 eap6410-payload
  Show dependency treegraph
 
Reported: 2015-08-26 02:04 EDT by baranowb
Modified: 2017-01-17 07:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 07:57:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JANDEX-32 Major Closed JarIndexer mishandles paths with the extension in multiple elements 2016-10-06 00:37 EDT

  None (edit)
Description baranowb 2015-08-26 02:04:39 EDT
No customer case, created as offspring of upgrade BZ.




FileNotFoundException for some JAR file paths when the index file path is constructed.
The problem appears to be in org.jboss.jandex.JarIndexer#getIndexFile(File, boolean), wherein every occurrence of the extension is replaced in the entire JAR file path, such that path elements that include the extension (e.g., ".jar") are incorrectly modified.
An example from Jandex used in an Arquillian context:
/private/var/folders/41/qy6ftgc53mn4v01s3xnytzgc0000gq/T/arquillian8152228539718351683MyTestApp.jar/MyTestApp.jar
where arquillian8152228539718351683MyTestApp.jar is a directory, and the resulting index file path is
/private/var/folders/41/qy6ftgc53mn4v01s3xnytzgc0000gq/T/arquillian8152228539718351683MyTestApp-jar/MyTestApp-jar.idx
and there is no valid directory named arquillian8152228539718351683MyTestApp-jar
Comment 2 Peter Mackay 2016-08-29 11:37:40 EDT
Verified with EAP 6.4.10.CP.CR2
Comment 3 Petr Penicka 2017-01-17 07:57:21 EST
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.

Note You need to log in before you can comment on or make changes to this bug.